Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 590473 - Review Request: recoll - a desktop full text search tool with a Qt GUI
Review Request: recoll - a desktop full text search tool with a Qt GUI
Status: CLOSED DUPLICATE of bug 612719
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-09 14:01 EDT by Jean-Francois Dockes
Modified: 2010-07-08 16:51 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-08 16:51:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jean-Francois Dockes 2010-05-09 14:01:52 EDT
Spec URL: http://www.recoll.org/fc10/recoll.spec
SRPM URL: http://www.recoll.org/fc10/recoll-1.13.04-2.fc10.src.rpm
Description: 
Recoll is a personal full text search package for Linux, FreeBSD and
other Unix systems. It is based on a very strong backend (Xapian), for
which it provides an easy to use, feature-rich, easy administration
interface.
Comment 1 Terje Røsten 2010-05-10 06:19:45 EDT
I did some work on this package some time ago.

I ported that work to your package, including these changes:

- use version macro in source url
- don't strip bins, giving non empty debuginfo package
- more explicit file listing
- try to preserve timestamps 
- use proper name for spec file
- fix changelog
- license seems to be GPLv2+
- include some %%doc files
- add buildroot tag
- some source has execute bit set
- explicit enable inotify
- add aspell-devel to bulldreq
- make with _smp_mflags seems to work
- add post scripts
- add patch to build gui with correct flags (ref: 338791)

spec: http://terjeros.fedorapeople.org/recoll/recoll.spec
srpm: http://terjeros.fedorapeople.org/recoll/recoll-1.13.04-3.fc12.src.rpm

Feel free to improve further.
Comment 2 Jean-Francois Dockes 2010-05-10 09:45:56 EDT
Thanks for the improvements, they're all ok with me. 

To reviewers: please use the new URLs above for review, I'll use these files as the base for further maintenance and updates.
Comment 3 Chen Lei 2010-05-11 09:10:58 EDT
Group:          Applications/Databases
Comment 4 Stanislav Ochotnicky 2010-07-08 06:40:52 EDT
(In reply to comment #2)
> Thanks for the improvements, they're all ok with me. 
> 
> To reviewers: please use the new URLs above for review, I'll use these files as
> the base for further maintenance and updates.    

Are you already sponsored or do you need a sponsor? See
http://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group and
http://fedoraproject.org/wiki/Package_Review_Process

I am just guessing you are not sponsored from your mentioning of being upstream
developer of recoll. In that case, please add appropriate blocker bug for
FE-NEEDSPONSOR
Comment 5 Ankur Sinha (FranciscoD) 2010-07-08 06:57:55 EDT
hi,

if it's a FE-NEEDSPONSOR, I can't take it up, you need a sponsor.

Reverting to NEW.

Ankur
Comment 6 Terje Røsten 2010-07-08 16:51:01 EDT
As discussed with  Jean-Francois, closing this as dup.

Ankur, please consider to review the new ticket, thanks.

*** This bug has been marked as a duplicate of bug 612719 ***

Note You need to log in before you can comment on or make changes to this bug.